
#-----------------------------------------------------------------------------
sub error
#-----------------------------------------------------------------------------
{
  local($errorMsg,@error_fields) = @_;

  #print "Content-type: text/html\n\n";

  &msg("============================================================================");
  &msg("Error (Fatal): $errorMsg");
  &msg("DB Error: $DBI::errstr"); 
  &msg("SQL Statement: $statement -or- $sql"); 
  &msg("============================================================================");

  print "</body>";
  print "</html>";

  chop($admin_email = `grep Admin_EMail: /opt/dbamon/adm/dbamonrc | awk '{ print \$2 }'`);
  &msg("Sending ERROR email to $admin_email:"); 
  system("echo \"$P - DBAmon Master Server: $hostname\" | dbamon_mailer -s \"DBAmon Fatal Error: $P - $errorMsg\" $admin_email");

  &msg("Exiting rc=1 - Click BACK"); 
  exit(1);
}

#------------------------------------------------------------------------------
sub msg
#------------------------------------------------------------------------------
{
  $msgmsg = $_[0];
  #---- Old
  ## chop($date = `date +%Y/%m/%d-%H:%M:%S`);
  #---- New
  $date = &getdate; 

  ##print "</center><br><font size=2>$date ${P} | <b>$msgmsg</b></font><center>\n";
  ##print "<br><span style='font-family:consolas;font-size:8pt;'><font size=2>$date ${P} | <b>$msgmsg</b></font>\n";
  print "<br><span style='font-family:consolas;font-size:8pt;'>$date ${P} | <b>$msgmsg</b>\n";
}

#-----------------------------------------------------------------------------
sub IntHandler
#-----------------------------------------------------------------------------
{
   local($Signal) = @_;
   close(you_fill_in_the_file_descriptor);
   unlink($you_fill_in_the_tmp_file_name);
   exit(0);
}

#-----------------------------------------------------------------------------
sub setStyles
#-----------------------------------------------------------------------------
{
  $style_micro  = "style='font-family:$font;font-size:7pt;'"; 
  $style_small  = "style='font-family:$font;font-size:8pt;'"; 

  #$style_normal = "style='font-family:$font;font-size:10pt;'"; 
  #$style_large  = "style='font-family:$font;font-size:13pt;'"; 

  $style_normal = "style='font-family:$font;font-size:9pt;'"; 
  $style_large  = "style='font-family:$font;font-size:12pt;'"; 
}

#-----------------------------------------------------------------------------
sub header
#-----------------------------------------------------------------------------
{
  my $header_banner = $_[0];
  my $links_include = `cat /opt/dbamon/lib/trans_links.txt`;

  my $header_font  = "arial"; 
  my $header_width = "900"; 

  print "Content-type: text/html\n\n
  <title>DBAmon $header_banner</title>
  <table width=$header_width bgcolor=wheat>
  <tr bgcolor=darkblue>
    <td align=center valign=center style='font-family:verdana;font-size:48;color:white;'>DBAmon 
  <tr bgcolor=wheat>
    <td>
      <span style='font-family:verdana; font-size:15pt;'>
      <center>$header_banner</center>
  </table>
  <body bgcolor=white link=darkblue vlink=darkblue><font face=$header_font>

  <table width=$header_width>
  <tr>
   $links_include
  </table><hr> ";

  #$style_micro  = "style='font-family:$font;font-size:7pt;'"; 
  #$style_small  = "style='font-family:$font;font-size:8pt;'"; 
  #$style_normal = "style='font-family:$font;font-size:10pt;'"; 
  #$style_large  = "style='font-family:$font;font-size:13pt;'"; 

  &setStyles;
}

#------------------------------------------------------------------------------
sub bgRow
#------------------------------------------------------------------------------
{
  if ($lastbg == 1)
  {
    $lastbg = 0;
    return "bgcolor=white";
  }
  else
  {
    $lastbg = 1;
    #return "bgcolor=lightgrey";
    ##return "bgcolor=#E6E6FA";
    return "bgcolor=beige";
  }
}

#----------------------------------------------------------------------
sub readRC
#----------------------------------------------------------------------
{
  $my_verb = $_[0];
  $my_dbamonrc = "/opt/dbamon/adm/dbamonrc";
  $my_rval = "";
  my $readrc_debug = 0;

  &msg("readRC - Looking for dbamonrc value for $my_verb") if $readrc_debug;

  open(RC,"$my_dbamonrc") || &error("Cannot open input $my_dbamonrc - $!");
  while(<RC>)
  {
    next if /^#/;
    next if /^$/;
    @my_words = split;
    if (uc $my_words[0] eq uc $my_verb) { $my_rval = $my_words[1]; last; }
  }
  close(RC);

  &msg("readRC - Returning: $my_rval") if $readrc_debug;
  return $my_rval;
}


1;
